{"openapi":"3.0.0","info":{"title":"OVHcloud API specification","description":"Specification for OVHcloud API","version":"1.0","contact":{"name":"OVH","email":"api@ml.ovh.net"}},"servers":[{"url":"https://api.eu.ovhcloud.com/v2"}],"components":{"schemas":{"any":{"description":"Can be anything (text, int, bool, json, html, etc.)","example":"This is a content of any type !"},"duration":{"type":"string","description":"Duration (e.g., P1Y2M3DT4H6M9S)","example":"P1Y2M3DT4H6M9S"},"email":{"type":"string","description":"Email address (e.g., api@ml.ovh.net)","format":"email","example":"api@ml.ovh.net"},"internationalPhoneNumber":{"type":"string","description":"International phone number","format":"phone-number"},"ip":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipBlock":{"type":"string","description":"IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)","format":"ip-block","example":"192.0.2.0/24"},"ipInterface":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4":{"type":"string","description":"IPv4 address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4Block":{"type":"string","description":"IPv4 CIDR notation (e.g., 192.0.2.0/24)","format":"ipv4-block","example":"192.0.2.0/24"},"ipv6":{"type":"string","description":"IPv6 address (e.g., 2001:41d0:1:1994::1)","format":"ipv6","example":"2001:41d0:1:1994::1"},"ipv6Block":{"type":"string","description":"IPv6 CIDR notation (e.g., 2001:41d0::/128)","format":"ipv6-block","example":"2001:41d0::/128"},"macAddress":{"type":"string","description":"MAC address (e.g., 00:00:5e:00:53:01)","format":"mac-address","example":"00:00:5e:00:53:01"},"phoneNumber":{"type":"string","description":"Phone number","format":"phone-number"},"publicCloud.database.Integration":{"type":"object","description":"An integration linking two managed database services","properties":{"checksum":{"type":"string","description":"Hash of the resource used for concurrency control","readOnly":true},"createdAt":{"type":"string","description":"Date at which the resource was created","format":"date-time","readOnly":true},"destinationServiceId":{"type":"string","description":"Identifier of the destination service. Null for external integrations.","nullable":true,"format":"uuid","readOnly":true},"id":{"type":"string","description":"Unique identifier of the integration","format":"uuid","readOnly":true},"parameters":{"type":"object","description":"Engine-specific configuration parameters for the integration","nullable":true,"additionalProperties":{"type":"string"},"readOnly":true},"sourceServiceId":{"type":"string","description":"Identifier of the source service","format":"uuid","readOnly":true},"status":{"allOf":[{"$ref":"#/components/schemas/publicCloud.database.IntegrationStatusEnum"}],"description":"Current readiness status of the integration","readOnly":true},"type":{"allOf":[{"$ref":"#/components/schemas/publicCloud.database.IntegrationTypeEnum"}],"description":"Type of the integration","readOnly":true},"updatedAt":{"type":"string","description":"Date of the last update to the resource","format":"date-time","readOnly":true}}},"publicCloud.database.IntegrationCreation":{"type":"object","description":"Input parameters for creating an integration between managed database services","properties":{"destinationServiceId":{"type":"string","description":"Identifier of the destination service. Compatible source and destination engine pairs can be retrieved from the capabilities endpoint.","format":"uuid"},"parameters":{"type":"object","description":"Engine-specific configuration parameters for the integration","nullable":true,"additionalProperties":{"type":"string"}},"sourceServiceId":{"type":"string","description":"Identifier of the source service","format":"uuid"},"type":{"allOf":[{"$ref":"#/components/schemas/publicCloud.database.IntegrationTypeEnum"}],"description":"Type of the integration"}},"required":["destinationServiceId","sourceServiceId","type"]},"publicCloud.database.IntegrationStatusEnum":{"type":"string","description":"Readiness status of a managed database integration","enum":["CREATING","DELETING","ERROR","READY","UPDATING"]},"publicCloud.database.IntegrationTypeEnum":{"type":"string","description":"Type of integration between two managed database services","enum":["GRAFANA_DASHBOARD","GRAFANA_DATASOURCE","KAFKA_CONNECT","KAFKA_LOGS","KAFKA_MIRROR_MAKER","OPENSEARCH_LOGS","POSTGRESQL_METRICS","PROMETHEUS","RSYSLOG"]},"time":{"type":"string","description":"Time (e.g., 15:04:05)","format":"time","example":"15:04:05"}},"securitySchemes":{"oAuth2AuthCode":{"type":"oauth2","description":"Oauth2","x-client-id":"1bb9c7df371741c0","x-client-secret":"a5b4de870aca620d10fbf63cd18d205b","flows":{"authorizationCode":{"authorizationUrl":"https://auth.eu.ovhcloud.com/oauth2/authorize","tokenUrl":"https://auth.eu.ovhcloud.com/oauth2/token","scopes":{"account/all":"Manage your account","all":"Manage your whole account and all your services","services/all":"Manage your services lifecycle and billing"}}}}}},"paths":{"/publicCloud/project/{projectId}/managedDatabase/valkey/{serviceId}/integration":{"get":{"operationId":"getAllValkeyIntegrations","summary":"List integrations","description":"Returns the integrations of the service with other services.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"header","name":"X-Pagination-Cursor","description":"Pagination cursor","schema":{"type":"string"}},{"in":"header","name":"X-Pagination-Size","description":"Pagination size","schema":{"type":"integer"}},{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}},{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/publicCloud.database.Integration"}}}}}},"tags":["Managed Databases","Valkey"],"x-developer-hub-navigation":[["Public Cloud","Databases","Valkey","Integrations@@@10"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/publicCloud/project/{projectId}/managedDatabase/valkey/{serviceId}/integration\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/publicCloud/project/{projectId}/managedDatabase/valkey/{serviceId}/integration\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:database/valkey/integration/get","required":true}],"x-response-identifier":"id","x-expanded-response":"PublicCloudDatabaseIntegration"},"post":{"operationId":"createValkeyIntegration","summary":"Create an integration","description":"Integrates the service with another database or analytics service. sourceServiceId must be the identifier of this service. Compatible engine pairs are listed on the capabilities endpoint.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}},{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.database.IntegrationCreation"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.database.Integration"}}}}},"tags":["Managed Databases","Valkey"],"x-developer-hub-navigation":[["Public Cloud","Databases","Valkey","Integrations@@@30"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: publicCloud.database.IntegrationCreation\nresult = client.post(\"/v2/publicCloud/project/{projectId}/managedDatabase/valkey/{serviceId}/integration\",\n\tdestinationServiceId = None, # Identifier of the destination service. Compatible source and destination engine pairs can be retrieved from the capabilities endpoint. (type: string)\n\tparameters = None, # Engine-specific configuration parameters for the integration (type: object, nullable)\n\tsourceServiceId = None, # Identifier of the source service (type: string)\n\ttype = None, # Type of the integration (type: publicCloud.database.IntegrationTypeEnum)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: publicCloud.database.IntegrationCreation\n$result = $ovh->post(\"/v2/publicCloud/project/{projectId}/managedDatabase/valkey/{serviceId}/integration\", array(\n\tdestinationServiceId => null, // Identifier of the destination service. Compatible source and destination engine pairs can be retrieved from the capabilities endpoint. (type: string)\n\tparameters => null, // Engine-specific configuration parameters for the integration (type: object, nullable)\n\tsourceServiceId => null, // Identifier of the source service (type: string)\n\ttype => null, // Type of the integration (type: publicCloud.database.IntegrationTypeEnum)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:database/valkey/integration/create","required":true}]}},"/publicCloud/project/{projectId}/managedDatabase/valkey/{serviceId}/integration/{integrationId}":{"delete":{"operationId":"deleteValkeyIntegration","summary":"Delete an integration","description":"Deletes the integration.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"integrationId","description":"Integration ID","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}},{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.database.Integration"}}}}},"tags":["Managed Databases","Valkey"],"x-developer-hub-navigation":[["Public Cloud","Databases","Valkey","Integrations@@@40"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.delete(\"/v2/publicCloud/project/{projectId}/managedDatabase/valkey/{serviceId}/integration/{integrationId}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->delete(\"/v2/publicCloud/project/{projectId}/managedDatabase/valkey/{serviceId}/integration/{integrationId}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:database/valkey/integration/delete","required":true}]},"get":{"operationId":"getValkeyIntegration","summary":"Get an integration","description":"Returns the integration type, its source and destination services and its status.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"integrationId","description":"Integration ID","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}},{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.database.Integration"}}}}},"tags":["Managed Databases","Valkey"],"x-developer-hub-navigation":[["Public Cloud","Databases","Valkey","Integrations@@@20"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/publicCloud/project/{projectId}/managedDatabase/valkey/{serviceId}/integration/{integrationId}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/publicCloud/project/{projectId}/managedDatabase/valkey/{serviceId}/integration/{integrationId}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:database/valkey/integration/get","required":true}],"x-response-identifier":"id"}}},"tags":[{"name":"Managed Databases","x-tag-expanded":false,"description":"Missing description"},{"name":"Valkey","x-tag-expanded":false,"description":"Missing description"}]}
